Subject: FW: [Sigtran] Sending ABORT upon receipt of INIT-ACK

From: "Haresign Lincoln" <[email-masked]>
Date: Wed, 16 May 2007 10:19:41 -0400

Perhaps I should have sent it to this mail alias....not sure.

Regards,
Lincoln 

-----Original Message-----
From: Haresign Lincoln [mailto:[email-masked]] 
Sent: Wednesday, May 16, 2007 10:10 AM
To: sigtran
Subject: [Sigtran] Sending ABORT upon receipt of INIT-ACK

TO whom it may concern:

Section 3.3.3 of RFC 2960 states:

      If the value of the Initiate Tag in a received INIT ACK chunk is
      found to be 0, the receiver MUST treat it as an error and close
      the association by transmitting an ABORT.

I'm just curious what the thinking is regarding sending an ABORT.  The
server has retained no knowledge of the connection. So when it recieves
the ABORT, it will be considered "out of the blue".  So ... Whats' the
point.  In other error scenarios for processing INIT-ACK, the RFC
states:

      Note: A receiver of an INIT ACK  with the MIS value set to 0
      SHOULD destroy the association discarding its TCB.

This seems more appropriate.

Regards,
Lincoln

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Randall Stewart <[email-masked]>
Date: Fri, 18 May 2007 00:10:22 -0400

Lincoln:

Hmm.. I can't say as to why you MUST send an abort.. but
I do remember a long discussion on this subject many
years ago... it was pretty much decided that it
was nice to send an abort when you get a bad
INIT-ACK for debugging purposes.  It makes it
easy for you to know whats going on.. Some implementations
indicate inside the abort what line of source code the
abort came from... which helps even quicker when debugging.

R

-- 
Randall Stewart
NSSTG - Cisco Systems Inc.
803-345-0369 <or> 803-317-4952 (cell)

---

From: "Haresign Lincoln" <[email-masked]>
Date: Fri, 18 May 2007 08:34:04 -0400

Thanks Randall,

That was the only practicle reason that I could see for doing this was
to help debug a badly behaved switch.  

Regards,
Lincoln 

-----Original Message-----
From: Randall Stewart [mailto:[email-masked]] 
Sent: Friday, May 18, 2007 12:10 AM
To: Haresign Lincoln
Cc: [email-masked]
Subject: Re: FW: [Sigtran] Sending ABORT upon receipt of INIT-ACK

Lincoln:

Hmm.. I can't say as to why you MUST send an abort.. but I do remember a
long discussion on this subject many years ago... it was pretty much
decided that it was nice to send an abort when you get a bad INIT-ACK
for debugging purposes.  It makes it easy for you to know whats going
on.. Some implementations indicate inside the abort what line of source
code the abort came from... which helps even quicker when debugging.

R

> server has retained no knowledge of the connection. So when it 
> recieves the ABORT, it will be considered "out of the blue".  So ... 
> Whats' the point.  In other error scenarios for processing INIT-ACK, 
> the RFC
> states:
>